> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Share a resource with the organization (admin only)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/organizations/{id}/shares
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{id}/shares:
    post:
      tags:
        - Organizations
      summary: Share a resource with the organization (admin only)
      operationId: postV1OrganizationsByIdShares
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: ID da organização
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - resource_type
                - resource_id
              properties:
                resource_type:
                  type: string
                  enum:
                    - entity
                    - device
                    - dashboard
                    - lock_access_group
                    - lock_schedule
                    - lock_appointment
                    - lock_credential
                    - lock_visitor
                  description: Tipo do recurso
                resource_id:
                  type: string
                  description: ID do recurso
                shared_with_user_id:
                  type: string
                  nullable: true
                  description: ID do usuário (null = todos)
                can_view:
                  type: boolean
                  default: true
                can_control:
                  type: boolean
                  default: false
                can_edit:
                  type: boolean
                  default: false
            example:
              resource_type: entity
              resource_id: light.sala
              can_view: true
              can_control: true
              can_edit: false
      responses:
        '201':
          description: Share created
          content:
            application/json:
              example:
                id: 1
                org_id: org_abc123
                resource_type: entity
                resource_id: light.sala
                can_view: true
                can_control: true
                can_edit: false
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````